Subject: Re: bug#26309: 24.4; vc-git-register doesn't run interactively

From: Łukasz Stelmach <[email-masked]>
Date: Thu, 30 Mar 2017 16:30:48 +0200

It was <2017-03-30 czw 16:20>, when Andreas Schwab wrote:
> On Mär 30 2017, Łukasz Stelmach <[email-masked]> wrote:
>> It was <2017-03-30 czw 15:51>, when Noam Postavsky wrote:
>>> On Thu, Mar 30, 2017 at 9:05 AM, Łukasz Stelmach <[email-masked]> wrote:
>>>
>>>> The vc-git-register function can't be used, neither bound to a key
>>>> shortcut nor via M-x, to quickly add current file to index.
>>>
>>> Doesn't C-x v i (or M-x vc-register) work?
>>
>> Not really. It works for a file that hasn't been added to a repo
>> yet. But once I add it, make some changes and want to add the modified
>> version I get:
>>
>>     vc-register: This file is already registered
>
> VC doesn't use the git index, so there is no need to update it.

Does it mean that before commiting (with vc) all files "git status"
shows as modified would be added to index automatically?

Anyway, I like to "git add" files I am working with from time to time. 
-- 
Łukasz Stelmach
Samsung R&D Institute Poland
Samsung Electronics